Summary: A security audit system and intrusion detection system
Name: sectool
Version: 0.1.0
Release: 3%{?dist}
URL: https://hosted.fedoraproject.org/sectool/wiki/WikiStart
Source0: %{name}-%{version}.tar.bz2
License: GPLv2+
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: python2 gettext
BuildRequires: desktop-file-utils gettext intltool
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package gui
Summary: GUI for sectool - security audit system and intrusion detection system
License: GPLv2+
Group: Applications/System
Requires: sectool = %{version}-%{release}
Requires: pygtk2 usermode

%description
sectool is a security tool that can be used both as a security audit 
and intrusion detection system. It consists of set of tests, library 
and command line interface tool. Tests are sorted into groups and security 
levels. Admins can run certain tests, groups or whole security levels. 
The library and the tools are implemented in python and tests are 
language independent.

%description gui
sectool-gui provides a GTK-based graphical user interface to sectool.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
desktop-file-install --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base \
  --add-category Settings \
  --add-category System \
  --vendor=fedora \
   $RPM_BUILD_ROOT%{_datadir}/applications/sectool.desktop
#adjust paths in sectool.conf
sed -i 's,INCL_DIR=\(.*\),INCL_DIR=%{_datadir}/sectool/tests,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool.conf
sed -i 's,DESC_DIR=\(.*\),DESC_DIR=%{_datadir}/sectool/tests,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool.conf
sed -i 's,TESTS_DIR=\(.*\),TESTS_DIR=%{_datadir}/sectool/tests,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool.conf
sed -i 's,TDATA_DIR=\(.*\),TDATA_DIR=%{_localstatedir}/lib/sectool,' $RPM_BUILD_ROOT%{_sysconfdir}/sectool.conf

#this file is just for development
rm $RPM_BUILD_ROOT/%{_datadir}/sectool/scheduler/selftest.py

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS README
%config(noreplace) %{_sysconfdir}/sectool.conf
%dir %{_localstatedir}/lib/sectool
%dir %{_datadir}/sectool
%{_sbindir}/sectool
#library with tests
%{_datadir}/sectool/scheduler
%{_datadir}/sectool/tests
# command line tool
%{_datadir}/sectool/actions.py*
%{_datadir}/sectool/__init__.py*
%{_datadir}/sectool/output.py*
%{_datadir}/sectool/sectool.py*
%{_datadir}/sectool/tuierrors.py*
%{_mandir}/man8/sectool.8.gz


%files gui
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/sectool-gui
%config(noreplace) %{_sysconfdir}/security/console.apps/sectool-gui
%{_bindir}/sectool-gui
%{_datadir}/sectool/gui*.py*
%{_datadir}/sectool/sectool-gui.py*
%{_datadir}/pixmaps/sectool-gui.png
%{_datadir}/pixmaps/sectool-min.png
%{_datadir}/applications/fedora-sectool.desktop


%changelog
* Wed Jan 16 2008 Peter Vrabec <pvrabec@redhat.com> - 0.1.0-3
- fix license issues 
- some macros clean up in makefile and spec

* Wed Jan 16 2008 Peter Vrabec <pvrabec@redhat.com> - 0.1.0-2
- make rpmlint happy, very important cleanup

* Tue Jan 15 2008 Peter Vrabec <pvrabec@redhat.com> - 0.1.0-1
- initial packaging
